<?php
/**
 * @category   Alogic
 * @package    Alogic_Resellers
 * @author     dushyant.joshi@alogic.co
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Resellers\Block;

use Alogic\Resellers\Model\ResellersFactory;
use Magento\Cms\Model\Template\FilterProvider;
use Magento\Framework\View\Element\Template\Context;

/**
 * Resellers View block
 */
class ResellersView extends \Magento\Framework\View\Element\Template {
	/**
	 * @var Resellers
	 */
	protected $_resellers;
	public function __construct(
		Context $context,
		ResellersFactory $resellers,
		FilterProvider $filterProvider
	) {
		$this->_resellers = $resellers;
		$this->_filterProvider = $filterProvider;
		parent::__construct($context);
	}

	public function _prepareLayout() {
		$this->pageConfig->getTitle()->set(__('Alogic Resellers Module View Page'));

		return parent::_prepareLayout();
	}

	public function getSingleData() {
		$id = $this->getRequest()->getParam('id');
		$resellers = $this->_resellers->create();
		$singleData = $resellers->load($id);
		if ($singleData->getId() || $singleData['id'] && $singleData->getStatus() == 1) {
			return $singleData;
		} else {
			return false;
		}
	}
}